module Ogre
	class Vector3
		def self.ZERO
			Vector3.new(0, 0, 0)
		end

		def self.UNIT_X
			Vector3.new(1, 0, 0)
		end

		def self.UNIT_Y
			Vector3.new(0, 1, 0)
		end

		def self.UNIT_Z
			Vector3.new(0, 0, 1)
		end

		def self.NEGATIVE_UNIT_X
			Vector3.new(-1, 0, 0)
		end

		def self.NEGATIVE_UNIT_Y
			Vector3.new(0, -1, 0)
		end

		def self.NEGATIVE_UNIT_Z
			Vector3.new(0, 0, -1)
		end

		def self.UNIT_SCALE
			Vector3.new(1, 1, 1)
		end
	end

	class Vector4
		def self.ZERO
			Vector4.new(0,0,0,0)
		end
	end

	class Quaternion
		def self.ZERO
			Quaternion.new(0.0,0.0,0.0,0.0)
		end

		def self.IDENTITY
			Quaternion.new(1.0,0.0,0.0,0.0)
		end
	end
end
